> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commercepay.asia/llms.txt
> Use this file to discover all available pages before exploring further.

# Inquiry Wallets

> Retrieve wallet balance, status, and related details.

An API endpoint used to retrieve wallet information, including wallet balance, status, and other related details.

## Request

### Headers

<ParamField header="Abp-TenantId" type="string" required>
  Your unique Merchant ID assigned by CommercePay.
</ParamField>

<ParamField header="Authorization" type="string" required>
  Your API credentials used for authentication (typically a Bearer token).
</ParamField>

<ParamField header="cap-signature" type="string" required>
  A unique security hash used to verify the integrity of the request body. See [Generate Signature](/docs/generate-signature) for how to generate this.
</ParamField>

### Body

<ParamField body="tenantId" type="integer" required>
  Merchant ID.
</ParamField>

<ParamField body="timestamp" type="int64" required>
  Current timestamp. Example: `1621851652617`.
</ParamField>

### Request Payload Sample

```json Payload theme={null}
{
  "tenantId": 14,
  "timestamp": 1621851652617
}
```

## Response

### Body

<ResponseField name="tenantId" type="integer">
  Merchant ID.
</ResponseField>

<ResponseField name="tenantName" type="string">
  Merchant name.
</ResponseField>

<ResponseField name="wallets" type="object[]">
  <Expandable title="properties">
    <ResponseField name="wallets.id" type="int64">
      A unique wallet ID.
    </ResponseField>

    <ResponseField name="wallets.currencyCode" type="string">
      Wallet currency.
    </ResponseField>

    <ResponseField name="wallets.balance" type="decimal">
      Wallet balance.
    </ResponseField>

    <ResponseField name="wallets.walletType" type="integer">
      Type of wallet. Basic = 0, Premium = 1, Payout = 2.
    </ResponseField>

    <ResponseField name="wallets.walletStatus" type="integer">
      Wallet status. Inactive = 0, Active = 1.
    </ResponseField>
  </Expandable>
</ResponseField>

### Response Payload Sample

```json Response_2XX theme={null}
{
  "result": {
    "tenantId": 14,
    "tenantName": "CAPTest",
    "wallets": [
      {
        "id": 4,
        "currencyCode": "MYR",
        "balance": 5253.6,
        "walletType": 2,
        "walletStatus": 1
      }
    ]
  }
}
```

## Error Responses

| Code | Message                   |
| ---- | ------------------------- |
| 1005 | `Tenant Wallet Not Found` |
| 1    | `Invalid Signature.`      |

```json Response_400 theme={null}
{
  "result": null,
  "error": {
    "code": 1005,
    "message": "Tenant Wallet Not Found"
  }
}
```

```json Response_400 theme={null}
{
  "result": {
    "code": 1,
    "message": "Invalid Signature."
  },
  "error": null
}
```
